Subject: Re: [AAA-DOCTORS] draft-ietf-softwire-6rd-radius-attrib-06.txt

From: Benoit Claise <[email-masked]>
Date: Thu, 29 Nov 2012 10:15:08 +0100

Dear all,

 From this discussion, I take as granted as the AAA doctors are fine 
with the version 7 
http://tools.ietf.org/html/draft-ietf-softwire-6rd-radius-attrib-07.
Am I correct?

Regards, Benoit
> Leaf yeh wrote:
>> I tend to suggest draft-ietf-softwire-6rd-radius-attrib-06 to adopt the data type of TLV newly defined in draft-ietf-radext-radius-extensions.
>    The extensions document isn't published, so this draft can't use the
> TLV data type.  However, it can use the *format*, which is OK.
>
>> There is almost the same description in section 3 of RFC 6519. Quoted as follows: 'In the scenario depicted in Figure 2, the Access-Request packet
>> contains a Service-Type attribute with the value Authorize Only (17);
>> thus, according to [RFC5080], the Access-Request packet MUST contain
>> a State attribute.'  Is it an Errata here?
>    I submitted one.  It's wrong.
>
>> c. IPv6-6rd-Configuration sounds not in the category of Service-Type (6) per the following records @ http://www.iana.org/assignments/radius-types/radius-types.xml.
> ...
>> Do we really find the suitable registry for the attribute of 6rd Configuration?
>    I suggest using "Call Check".
>
>    Alan DeKok.
> _______________________________________________
> AAA-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/aaa-doctors
>
>

---

From: Alan DeKok <[email-masked]>
Date: Thu, 29 Nov 2012 10:36:53 -0500

Benoit Claise wrote:
> Dear all,
> 
> From this discussion, I take as granted as the AAA doctors are fine with
> the version 7

  I think the discussion is ongoing. :(

---

From: Dave Nelson <[email-masked]>
Date: Thu, 29 Nov 2012 10:44:15 -0500

>   I think the discussion is ongoing. :(

I haven't been following this issue as closely as I might, but my takeaway
is that the draft is attempting to use a Call-Check or Authorize-Only type
of operation for which there is *no* form of identity (even end-point
station identity), no previous authentication and no "state".  Is that
correct?  If so, then I think this is a fundamental misuse of RADIUS.

I'll be happy to be corrected or told to go read the draft more carefully.
 :-)

Regards,

Dave

David B. Nelson
Director of Technology
Elbrys Networks, Inc.
www.elbrys.com
+1.603.570.2636

---

From: Benoit Claise <[email-masked]>
Date: Thu, 29 Nov 2012 16:48:21 +0100

Thanks. I filed a DISCUSS on this draft.

Ralph Droms and I will make sure that you are in the loop while 
resolving this issue.
Somehow, I thought everything was dealt with when I saw this reply: 
http://www.ietf.org/mail-archive/web/aaa-doctors/current/msg00743.html

Regards, Benoit

---

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Thu, 29 Nov 2012 17:35:07 +0000

The draft does not appear to contain a requirement for a message authenticator attribute.  There is no way I can approve of this document without that.   I'm not sure which discussion you are referring to, I's usually a bit behind on some email.   I think the draft is still lacking is other areas as well, I forwarded my secdir review to the AAA list and there has been lengthy discussion on this on the secdir list.  

Joe

On Nov 29, 2012, at 1:15 AM, Benoit Claise wrote:

> Dear all,
> 
> From this discussion, I take as granted as the AAA doctors are fine with the version 7 http://tools.ietf.org/html/draft-ietf-softwire-6rd-radius-attrib-07.
> Am I correct?
> 
> Regards, Benoit
>> Leaf yeh wrote: